﻿@using System.Security.Claims
@{
    string AdviserName = ViewBag.AdviserName;
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    bool IsEmptyLayout = Convert.ToBoolean(ViewBag.EmptyLayout);
    int DisplayOnlyAdviser = Convert.ToBoolean(ViewBag.DisplayOnlyAdviser) == true ? 1 : 0;
    int IsAdv2bValid = ViewBag.IsAdv2bValid == true ? 1 : 0;
    var Role = User.FindFirst(ClaimTypes.Role)?.Value;
    int TimeZone = ViewBag.TimeZone;
}
<input id="FromExitButton" type="hidden" />
<input id="hdnFirmId" value="@ViewBag.FirmId" type="hidden" />
<input id="hdnAdviserId" value="@ViewBag.AdviserId" type="hidden" />
<input id="hdnOwnerUserId" value="@ViewBag.OwnerUserId" type="hidden" />
<input id="hdnLoginUrl" value="@ViewBag.LoginUrl" type="hidden" />
<input id="hdnIsAdv2bValid" value="@IsAdv2bValid" type="hidden" />
<input value="@TimeZone" id="hdnTimeZone" type="hidden" />
<input value="@Role" id="hdnRole" type="hidden" />
<div id="kt_header" class="header header-fixed">
    <div class=" container-fluid d-flex align-items-stretch justify-content-between">
        <div class="header-menu-wrapper header-menu-wrapper-left" id="kt_header_menu_wrapper">
            @if (IsEmptyLayout)
            {
                <div class="header-logo">
                    <img alt="Logo" src="~/images/brand_logo.png">
                </div>
            }
        </div>
        <div class="topbar" id="user_toggle_container" style="pointer-events:@(DisplayOnlyAdviser!=0?"none":"")">
            <div class="topbar-item">
                <div class="btn btn-icon btn-icon-mobile w-auto btn-clean d-flex align-items-center btn-lg px-2" id="kt_quick_user_toggle">
                    <span class="text-muted font-weight-bold font-size-base d-none d-md-inline mr-1">Hi,</span>
                    <span class="text-dark-50 font-weight-bolder font-size-base d-none d-md-inline mr-3 adviser_fullname">@ViewBag.AdviserName</span>
                    <span class="symbol symbol-lg-35 symbol-25 symbol-light-success">
                        <span class="symbol-label font-size-h5 font-weight-bold adviser_initial">@AdviserName?.Substring(0, 1)</span>
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>